List custom field options
GET/api/custom-field-options
Requires "Custom Fields" feature to be enabled.
Request
Query Parameters
- Equal
- Not equal
- Greater than
- Greater than or equal
- Less than
- Less than or equal
- In list
- Not in list
- Between
- Equal
- Not equal
- Greater than
- Greater than or equal
- Less than
- Less than or equal
- In list
- Not in list
- Between
Possible values: >= 1
Filter items by the custom_field_id field.
Possible values: [name, sort]
Order the results by one or more attributes, separated by commas.
Prefix an attribute with - for descending order or + for ascending order.
If no prefix is provided, the default order is ascending.
Search for entities by a specific string.
Possible values: >= 1 and <= 100
Default value: 100
The number of items to include in the response.
Default value: 0
The offset of the first returned item.
Filter items by the updated_at field.
Usage: eq:{value}
Usage: neq:{value}
Usage: gt:{value}
Usage: gte:{value}
Usage: lt:{value}
Usage: lte:{value}
Usage: in:{value_1},{value_2},{value_3}
Usage: nin:{value_1},{value_2},{value_3}
Description: The given values are inclusive.
Usage: bt:{value_min},{value_max}
Possible values: [exclude, include, only]
Default value: exclude
Filter items by deletion status.
Filter items by the deleted_at field.
Usage: eq:{value}
Usage: neq:{value}
Usage: gt:{value}
Usage: gte:{value}
Usage: lt:{value}
Usage: lte:{value}
Usage: in:{value_1},{value_2},{value_3}
Usage: nin:{value_1},{value_2},{value_3}
Description: The given values are inclusive.
Usage: bt:{value_min},{value_max}
Header Parameters
The company you want to interact with
The API version you want to use
Responses
- 200
- 400
- 401
- 403
- 412
Returns the list of custom field options.
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Possible values: >= 1
The unique identifier of the resource
The date and time when the resource was created
The date and time when the resource was last updated
Possible values: <= 255 characters
The custom field option name
The hex color code of the option
The sort position of the option
The id of the custom field this option belongs to
The date and time when the resource was deleted
[
{
"id": 1,
"created_at": "2026-06-12T11:36:10.359Z",
"updated_at": "2026-06-12T11:36:10.359Z",
"name": "High",
"color": "#224455",
"sort": 1,
"custom_field_id": 1,
"deleted_at": "2026-06-12T11:36:10.359Z"
}
]
Validation failed
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
Array [
]
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
failures
object[]
List of validation errors
Name of the field causing the error
Human-readable description of the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "invalid_data",
"message": "You provided invalid data. Check 'failures' for details.",
"failures": [
{
"field": "string",
"message": "string"
}
]
}
Unauthorized
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "string",
"message": "string"
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "string",
"message": "string"
}
Precondition failed
- application/json
- Schema
- Example (from schema)
Schema
- ResponseHeaderBag
headers
object
oneOf
Default value: 64
Error unique key
Human-readable message describing the error
{
"headers": {},
"content": "string",
"version": "string",
"status_code": 0,
"status_text": "string",
"charset": "string",
"callback": "string",
"encoding_options": 64,
"key": "precondition_failure",
"message": "string"
}